# Uses of Interface
org.opensaml.saml.ext.samlec.GeneratedKey

Packages that use GeneratedKey
Package
Description
org.opensaml.saml.ext.samlec.impl
Implementation for SAML-EC GSS-API schema content.

## Uses of GeneratedKey in org.opensaml.saml.ext.samlec.impl

Classes in org.opensaml.saml.ext.samlec.impl that implement GeneratedKey
Modifier and Type
Class
Description
`class`
`GeneratedKeyImpl`
Concrete implementation of `GeneratedKey`.
Methods in org.opensaml.saml.ext.samlec.impl that return GeneratedKey
Modifier and Type
Method
Description
`GeneratedKey`
GeneratedKeyBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`GeneratedKey`
GeneratedKeyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.